<?php

namespace App\Models\Product;
use Illuminate\Database\Eloquent\Model;

class ProductDesign extends Model {
	protected $table = 'product_design';
	protected $fillable = ['ProductClass', 'name', 'RawMaterialA', 'RawMaterialB'
		, 'RawMaterialB', 'RawMaterialC', 'RawMaterialD', 'RawMaterialE', 'RawMaterialF',
		'RawMaterialG', 'RawMaterialH', 'file1', 'file2', 'remark', 'randNumber',
		'RawMaterialA_Number', 'RawMaterialB_Number', 'RawMaterialC_Number', 'RawMaterialD_Number', 'RawMaterialE_Number',
		'RawMaterialF_Number', 'RawMaterialG_Number', 'RawMaterialH_Number'];
	public function ProductVariety() {
		return $this->belongsTo('App\Models\Product\ProductVariety');
	}
	public function Product() {
		return $this->belongsTo('App\Models\Product\Product');
	}
}
